# Gimp.Brush.set_spikes

    @accepts(Gimp.Brush, int, int)
    @returns(bool)
    def set_spikes(self, spikes_in, spikes_out):
        # Python wrapper for gimp_brush_set_spikes()

Sets the number of spikes for a generated brush.

Sets the number of spikes for a generated brush. Clamps spikes to [2,20]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Since 2.4

self

  The brush.

spikes_in

  The desired number of spikes.

spikes_out

  The number of spikes actually assigned.

Returns